This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478696 - rpmbuild --rebuild attr-2.4.46-12.el7.src.rpm failed
rpmbuild --rebuild attr-2.4.46-12.el7.src.rpm failed
Status: CLOSED DUPLICATE of bug 1367730
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: attr (Show other bugs)
7.4
x86_64 Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Kamil Dudka
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-06 04:55 EDT by meinohama
Modified: 2017-08-07 04:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-07 04:04:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description meinohama 2017-08-06 04:55:56 EDT
rpmbuild --rebuild attr-2.4.46-12.el7.src.rpm failed.

Test phase during building failed.

<log>
...
*** attr.test ***
[9] $ mkdir d -- ok
[10] $ cd d -- ok
[12] $ touch f -- ok
[13] $ setfattr -n user -v value f -- ok
[16] $ setfattr -n user. -v value f -- ok
[19] $ setfattr -n user.name f -- ok
[20] $ getfattr -d f -- ok
[25] $ setfattr -x user.name f -- ok
[26] $ sh -c 'getfattr -n user.name f && echo zero exit code' -- ok
[29] $ setfattr -n user.n -v value f -- ok
[30] $ rm f -- ok
[35] $ touch f -- ok
[36] $ setfattr -n user.vvvvvvvvvvvv -v vvvvvvvvvvvv f -- ok
[37] $ setfattr -n user.wwwwwwww -v wwwwwwww f -- ok
[38] $ setfattr -n user.xxxx -v xxxx f -- ok
[39] $ getfattr -d f -- ok
[46] $ setfattr -n user.wwwwwwww -v wwww f -- ok
[47] $ getfattr -d f -- ok
[54] $ setfattr -n user.xxxx -v xxxxxxxx f -- ok
[55] $ getfattr -d f -- ok
[62] $ rm f -- ok
[66] $ touch f -- ok
[67] $ setfattr -n user.name -v 0xbabe f -- ok
[68] $ setfattr -n user.name2 -v 0s3q2+7w== f -- ok
[69] $ setfattr -n user.name3 -v 0xdeface f -- ok
[70] $ getfattr -d -e hex f -- ok
[77] $ getfattr -d -e base64 f -- ok
[84] $ rm f -- ok
[88] $ touch f -- ok
[89] $ setfattr -n user.novalue f -- ok
[90] $ setfattr -n user.somename -v somevalue f -- ok
[91] $ setfattr -n user.somename -v somevalue f -- ok
[92] $ setfattr -n user.longername -v longervalue f -- ok
[93] $ setfattr -n user.short -v value f -- ok
[94] $ setfattr -n user.novalue-yet f -- ok
[95] $ ls -s f -- failed
0 f                                   != 4 f
...



0 is correct result in my environment.
http://git.savannah.nongnu.org/cgit/attr.git/commit/?id=07cdd574b01309599c5ceddcd3d6553a5f5cd75d
This fixes the problem.
Comment 2 Kamil Dudka 2017-08-07 04:04:37 EDT
Thank you for reporting the bug!  This has already been tracked privately as bug #1367730, so I will disclose that bug and close this one as a duplicate of it...

The following upstream commit is needed for the test-suite to pass:

http://git.savannah.gnu.org/cgit/attr.git/commit/?id=07cdd574

*** This bug has been marked as a duplicate of bug 1367730 ***

Note You need to log in before you can comment on or make changes to this bug.